<?php

    $lastPage = $this->lastPage;

    $currentPage = $this->currentPage;

    $location = $this->loc;

    $name = $this->name;

?>





<ul>

<!--

    <?php

/*    $i = 1;



    do{

        $class=($i==$currentPage)?' class="active "':'';



        echo '<li><a '.$class .'href="?l='.$location.'&n='.$name.'&p='. $i .'">'.$i.'</a></li>';



        $i += 1;



    }while($i <= $lastPage);

    */?>

    -->



<?php



    if($lastPage < 10){

        for($i=1; $i<= $lastPage ; $i++){

            $class=($i==$currentPage)?' class="active "':'';

            echo '<li><a '.$class .'href="?l='.$location.'&n='.$name.'&p='. $i .'">'.$i.'</a></li>';

        }

    }elseif($currentPage < 6){

        for($i = 1; $i < 9; $i ++){

            $class=($i==$currentPage)?' class="active "':'';

            echo '<li><a '.$class .'href="?l='.$location.'&n='.$name.'&p='. $i .'">'.$i.'</a></li>';

        }

        echo '<li><a>...</a></li>';

        echo '<li><a href="?l='.$location.'&n='.$name.'&p='. $lastPage .'">'. $lastPage .'</a></li>';

    }elseif($currentPage > $lastPage - 8){

        echo '<li><a href="?l='.$location.'&n='.$name.'&p=1">1</a></li>';

        echo '<li><a>...</a></li>';

        for($i = $lastPage - 8; $i < $lastPage ; $i++){

            $class=($i==$currentPage)?' class="active "':'';

            echo '<li><a '.$class .'href="?l='.$location.'&n='.$name.'&p='. $i .'">'.$i.'</a></li>';

        }

    }else{

        echo '<li><a href="?l='.$location.'&n='.$name.'&p=1">1</a></li>';

        echo '<li><a>...</a></li>';



        for($i = $currentPage - 3; $i <= $currentPage + 3; $i++){

            $class=($i==$currentPage)?' class="active "':'';

            echo '<li><a '.$class .'href="?l='.$location.'&n='.$name.'&p='. $i .'">'.$i.'</a></li>';

        }

        echo '<li><a>...</a></li>';

        echo '<li><a href="?l='.$location.'&n='.$name.'&p='. $lastPage .'">'. $lastPage .'</a></li>';

    }



?>

</ul>